* {
    margin: 0;
    padding: 0;
        font-size: 16px;
        line-height: 22px;
    box-sizing: border-box;
   font-family: 'Open Sans', sans-serif;
}


/* CONTAINER */
.container {
    width: 90%;
    max-width: 1400px;
    margin: auto;
}

.header {
    background: white;
    border-bottom: 1px solid #eee;
    padding: 15px 0;
    position: sticky;
    top: 0;
    z-index: 999;
}

.header-wrap {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

/* LOGO */
.logo img {
    height: 80px;
}

/* MENU */
.menu {
    position: relative;
    left: 50px;
    display: flex;
    gap: 20px;
}

.menu a {
    text-decoration: none;
    color: #101820;
    font-size: 18px;
}

/* RIGHT SIDE */
.header-right {
    display: flex;
    align-items: center;
    gap: 15px;
}

/* SEARCH */
.search-box input {
    padding: 8px 10px;
    border: 1px solid #ccc;
    width: 180px;
}

/* CART */
.cart {
    font-size: 16px;
    cursor: pointer;
}

/* BUTTON */
.btn-outline {
    border: 1px solid black;
    padding: 8px 15px;
    cursor: pointer;
}

/* MOBILE */
.menu-toggle {
    display: none;
    font-size: 24px;
    cursor: pointer;
}

/* RESPONSIVE */
@media(max-width: 992px){

    .menu {
        position: absolute;
        top: 97px;
        left: 0;
        width: 100%;
        background: white;
        flex-direction: column;
        display: none;
        padding: 20px;
        border-top: 1px solid #eee;
    }

    .menu.active {
        display: flex;
    }

    .menu-toggle {
        display: block;
    }

    .header-right {
        display: none;
    }
}
/* BUTTONS */
.btn-primary {
    text-align: center;
      font-size: 18px!important;
    background: #101820;
    color: white;
    padding: 12px 25px;
    display: inline-block;
    cursor: pointer;
}

.btn-secondary {
    text-align: center;
       font-size: 18px!important;
    color: #fff;
    border: 1px solid #fff;
    padding: 12px 25px;
    margin-left: 10px;
    cursor: pointer;
}

.btn-outline {
     background: #101820;
    border: 1px solid #101820;
    color: #fff;
    border-radius: 10px;
        padding: 12px 25px;
    cursor: pointer;
}
.btn-outline:hover{
    background: #fff;
    color: #101820;
    border: 1px solid #DB2D28;
}

/* HERO */
.hero {
    position: relative;
    width: 100%;
    height: 80vh; /* full screen height */
    background: url('img/banner01.jpg') center/cover no-repeat;
    display: flex;
}


.hero h1 {
  text-transform: uppercase;
    color: #fff;
    font-size: 60px;
    line-height: 65px;
    margin-bottom: 15px;
}

.hero p {
    font-size: 18px;
    margin-bottom: 25px;
    color: #fff;
}

.hero-btns {
    display: flex;
}

/* GRID */
.grid {
    display: grid;
    grid-template-columns: repeat(4,1fr);
    gap: 20px;
    margin-top: 30px;
}

/* CARDS */
.card {
    padding: 40px;
    background: #fafafa;
    text-align: center;
    border: 1px solid #eee;
    transition: 0.3s;
}


/* CUSTOM */
.custom {
    padding: 80px 0;
}

.custom-box {
    padding: 30px;
    background: #f9f9f9;
    border: 1px solid #eee;
}

/* STEPS */
.steps {
    padding: 80px 0;
    background: #fafafa;
}

/* CTA */
.cta {
    padding: 80px 0;
    text-align: center;
    background: #101820;
    color: white;
}


/* ========================= */
/* 🔥 RESPONSIVE DESIGN */
/* ========================= */

/* TABLET */
@media(max-width: 992px){
    .grid {
        grid-template-columns: repeat(2,1fr);
    }

    .hero h1 {
        font-size: 32px;
    }
}

/* MOBILE */
@media(max-width: 768px){

    .menu-toggle {
        display: block;
    }

    nav {
        position: absolute;
        top: 70px;
        left: 0;
        width: 100%;
        background: white;
        flex-direction: column;
        display: none;
        border-top: 1px solid #eee;
    }

    nav.active {
        display: flex;
    }

    nav a {
        padding: 0 0 10px;
        border-bottom: 1px solid #eee;
    }

    .btn-outline {
        display: none;
    }

    .hero {
        text-align: center;
      height: 60vh;
    padding: 50px 0 0;
    }

    .hero h1 {
        line-height: 50px;
        font-size: 40px;
    }
    .hero-content{
        top: 0;
    }

    .hero-btns {
        gap: 10px;
    }

    .grid {
        grid-template-columns: 1fr;
    }
}
/* TOP BAR */
.top-bar {
    background: #101820;
    padding: 15px 0;
    font-size: 14px;
}

.top-flex {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

/* LEFT */
.top-left {
        font-weight: 600;
    font-size: 15px;
    color: #fff;
}

/* RIGHT */
.top-right {
    display: flex;
    align-items: center;
}

.top-right a {
    font-size: 15px;
    text-decoration: none;
    color: #fff;
    margin: 0 5px;
    transition: 0.3s;
}

.top-right a:hover {
    color: #DB2C27;
}

.top-right span {
    margin: 0 5px;
    color: #999;
}

/* MOBILE */
@media(max-width: 768px){
    .top-flex {
        flex-direction: column;
        gap: 5px;
        text-align: center;
    }
}
/* HEADER RIGHT */
.header-right {
    display: flex;
    align-items: center;
    gap: 15px;
}

/* SEARCH BOX */
.search-box {
    display: flex;
    border: 1px solid #ddd;
    border-radius: 30px;
    overflow: hidden;
    background: #fafafa;
}

.search-box input {
    border: none;
    padding: 10px 12px;
    outline: none;
    width: 180px;
    font-size: 14px;
    background: transparent;
}

.search-btn {
    border: none;
    background: #101820;
    padding: 8px 12px;
    cursor: pointer;
    display: flex;
    align-items: center;
}

.search-btn svg {
    stroke: white;
}

/* CART */
.cart {
    position: relative;
    cursor: pointer;
}

.cart svg {
    stroke: black;
}

.cart-count {
    position: absolute;
    top: -6px;
    right: -11px;
    color: #000;
    font-size: 11px;
    padding: 2px 6px;
    border-radius: 50%;
}
.hero-content{
    position: relative;
    top: -5%;
}
.title-sec{
    margin: 0 auto;
    max-width: 90%;
    width: 60%;
    margin-bottom: 35px;
    text-align: center;
}
.title-sec p{
    color: #555;
font-size: 16px;
}
.title-sec h2 {
    line-height: 45px;
    padding-bottom: 15px;
    font-weight: bold;
    font-size: 40px;
    color: #101820;
}
.pt-50{
    padding-top: 50px;
}
.pb-50{
    padding-bottom: 50px;
}
.pt-0{
    padding-top: 0!important;
}


.contact-icon {
    width: 18px;
    height: 18px;
    fill: #fff;
    min-width: 18px;
    margin-top: 3px;
}

.contact-box {
    display: flex;
    justify-content: space-between;
    border: 1px solid #999;
    margin: 15px 0;
}

.contact-box div {
    padding: 10px;
    font-size: 14px;
}

.contact-buttons {
    display: flex;
    flex-direction: column;
    gap: 8px;
}


.highlight-text {
    color: red;
    font-weight: 600;
    margin: 10px 0;
}

.call-btn img{
    max-width: 120px;
}
.wa-btn img{
    max-width: 120px;
}
.desk-none{
     display: none;
}
@media(max-width: 786px){
    .mobile-none{
    display: none;
}
.desk-none{
     display: block;
}
.logo img {
    height: 70px;
}
.header-right{
        left: 20px;
    position: relative;
}
.top-right a{
      display: inline-block;
        font-size: 15px;
}
.top-right{
    display: inline-block;
}
.title-sec{
    max-width: 100%;
    width: 100%;
}
.mini-row{
      display: ruby!important;  
}
.mini-icon{
        margin: 5px;
}
.title-sec h2{
    line-height: 35px;
        font-size: 28px;
}
.hero::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;

    background: rgba(0, 0, 0, 0.4); /* opacity control here */
    z-index: 1;
}
/* CONTENT ABOVE OVERLAY */
.hero-content {
    position: relative;
    z-index: 2;
}
.hero .hero-btns .btn-secondary{
    display: none;
}
.hero .hero-btns{
    display: block;
}
.search-btn{
        background: #85120f;
}
.contact-box{
        justify-content: left;
            display: inline-flex;
}
}
